umbrello: Uml::CmdChangeUseFillColor Class Reference

umbrello 2.31.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeUseFillColor Class Reference

`#include <cmdchangeusefillcolor.h>`

Inheritance diagram for Uml::CmdChangeUseFillColor:

## Public Member Functions
| CmdChangeUseFillColor (UMLWidget *w, const bool value)
| ~CmdChangeUseFillColor ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
bool | m_oldValue
bool | m_newValue

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdChangeUseFillColor()

Uml::CmdChangeUseFillColor::CmdChangeUseFillColor | ( | UMLWidget * | w,
|  | const bool | value
| ) |  |

## ◆ ~CmdChangeUseFillColor()

Uml::CmdChangeUseFillColor::~CmdChangeUseFillColor | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeUseFillColor::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeUseFillColor::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_newValue

bool Uml::CmdChangeUseFillColor::m_newValue
| private

## ◆ m_oldValue

bool Uml::CmdChangeUseFillColor::m_oldValue
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangeusefillcolor.h
- umbrello/cmds/widget/cmdchangeusefillcolor.cpp